
import { Node } from "../node-types/abstract-node";
import { Edge } from "./abstract-edge";

export class InformEdge extends Edge {

    public static readonly EDGE_TYPE = "inform";
    public static readonly SOURCE_TYPES = ["claim", "evidence"];
    public static readonly REFERENCE_TYPES = ['question'];
    public static readonly RELATIONSHIP = "informed-by";

    constructor(source: Node, reference: Node) {
        super(source, reference);
    }

    public static createEdge(source: Node, reference: Node): InformEdge {
        return new InformEdge(source, reference);
    }
}