
import { Node } from "../node-types/abstract-node";
import { Edge } from "./abstract-edge";

export class OpposeEdge extends Edge {

    public static readonly EDGE_TYPE = "oppose";
    public static readonly SOURCE_TYPES = ["claim", "evidence"];
    public static readonly REFERENCE_TYPES = ['claim'];
    public static readonly RELATIONSHIP = "opposed-by";

    constructor(source: Node, reference: Node) {
        super(source, reference);
    }

    public static createEdge(source: Node, reference: Node) {
        return new OpposeEdge(source, reference);
    }
}