
import { Node } from "../node-types/abstract-node";
import { Edge } from "./abstract-edge";

export class SupportEdge extends Edge {

    public static readonly EDGE_TYPE = "support";
    public static readonly SOURCE_TYPES = ["claim", "evidence"];
    public static readonly REFERENCE_TYPES = ['claim'];
    public static readonly RELATIONSHIP = "supported-by";

    constructor(source: Node, reference: Node) {
        super(source, reference);
    }

    public static createEdge(source: Node, reference: Node) {
        return new SupportEdge(source, reference);
    }
}