
import { Node } from "./abstract-node";

export class ClaimNode extends Node{

    public static readonly TYPE = 'claim';
    public static readonly TYPE_PATTERN = /^\{CLM\}/;
    public static readonly SYMBOL = "{CLM}";

    public constructor(name: string, data: string) {
        super(name, data);
    }

    public static load(fileName: string, fileData: string) {
        const name = fileName.replace(ClaimNode.TYPE_PATTERN, '')
                    .replace('.md', '')    
                    .trim();
        return new ClaimNode(name, fileData);
    }

}