
import { Node } from "./abstract-node";

export class QuestionNode extends Node{

    public static readonly TYPE = 'question';
    public static readonly TYPE_PATTERN = /^\{QUE\}/;
    public static readonly SYMBOL = "{QUE}";

    public constructor(name: string, data: string) {
        super(name, data);
    }

    public static load(fileName: string, fileData: string) {
        const name = fileName.replace(QuestionNode.TYPE_PATTERN, '')
                    .replace('.md', '')    
                    .trim();
        return new QuestionNode(name, fileData);
    }

}